//-----------------------------------------------------------------------------
// Copyright  1999 - Philip Howard
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	rmd160
// version	1.2.0
// homepage	http://phil.ipal.org/freeware/rmd160/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	phil@ipal.org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------

#include "rmd160_lib.h"

//-----------------------------------------------------------------------------
// function	rmd160_destroy
//
// purpose	Destroy an RMD160 object instance, freeing its memory.
//
// arguments	1 (RMD160) reference handle to RMD160 instance to destroy.
//
// returns	(int) RMD160_OK
//		(int) RMD160_ERR_INVALID_ARG
//-----------------------------------------------------------------------------

#define FUNCTION_NAME "rmd160_destroy"

int
rmd160_destroy (
	RMD160		ptr
)
{
    if ( ! ptr ) {
	return RMD160_ERR_INVALID_ARG;
    }
    free( ptr );
    return RMD160_OK;
}

#undef FUNCTION_NAME
